## zbar zbar |

## Properties

gboolean | message | Read / Write
gboolean | cache | Read / Write
gboolean | attach-frame | Read / Write

## Types and Values

struct | GstZBar

## Description

## Synopsis

### Element Information

plugin | zbar
author | Stefan Kost <ensonic@users.sf.net>
class | Filter/Analyzer/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ Y800, I420, YV12, NV12, NV21, Y41B, Y42B, YUV9, YVU9 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ Y800, I420, YV12, NV12, NV21, Y41B, Y42B, YUV9, YVU9 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstZBar

    struct GstZBar {
    };

## Property Details

### The `“message”` property

      “message”                  gboolean

Post a barcode message for each detected code.

Flags: Read / Write

Default value: TRUE

### The `“cache”` property

      “cache”                    gboolean

Enable or disable the inter-image result cache.

Flags: Read / Write

Default value: FALSE

### The `“attach-frame”` property

      “attach-frame”             gboolean

Attach a frame dump to each barcode message.

Flags: Read / Write

Default value: FALSE